#pragma once

#include <string>
#include <nlohmann/json.hpp>
#include "blankie/murl.h"

struct Config {
    std::string bind_host = "127.0.0.1";
    int bind_port = 8080;
    blankie::murl::Url image_proxy_url{"https://i.pixiv.cat"};
};

Config load_config(const char* path);
void from_json(const nlohmann::json& j, Config& config);
